Bug 1486609 - GET/POST/PUT requests to smart_proxies never return 'download_policy' param
Summary: GET/POST/PUT requests to smart_proxies never return 'download_policy' param
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule - Content
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-30 09:08 UTC by Andrii Balakhtar
Modified: 2019-08-12 14:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:45:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24813 None None None 2018-09-04 14:25:32 UTC

Description Andrii Balakhtar 2017-08-30 09:08:15 UTC
Description of problem:
6.3 introduces ability to set download policies for specific capsule. Via API it can be done by adding extra 'download_policy' param to POST/PUT request to api/v2/smart_proxies . However, api never returns value of such param, making it hard to understand what's its value and whether it was set/changed correctly:

GET:
{"created_at":"2017-08-29 14:59:30 UTC","updated_at":"2017-08-29 15:11:56 UTC","name":"example.com","id":3,"url":"https://example.com:9090","features":[...],"locations":[],"organizations":[]}

PUT ({"smart_proxy": {"download_policy": "on_demand"}}):
{"created_at":"2017-08-29 14:59:30 UTC","updated_at":"2017-08-29 15:13:08 UTC","name":"example.com","id":3,"url":"https://example.com:9090","features":[...],"locations":[],"organizations":[]}

POST:
{"created_at":"2017-08-30 08:40:13 UTC","updated_at":"2017-08-30 08:40:13 UTC","name":"example.com","id":2,"url":"https://example.com:14267","features":[...],"locations":[...],"organizations":[...]}

Version-Release number of selected component (if applicable):
Satellite 6.3.0 Snap 13

How reproducible:
Always

Steps to Reproduce:
1. Make GET/POST/PUT request to api/v2/smart_proxies
2.
3.

Actual results:
'download_policy' is not returned (see `Description of problem`)

Expected results:
'download_policy' param value is returned

Additional info:

Comment 2 Bryan Kearney 2018-09-04 17:45:31 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 3 Sean O'Keeffe 2018-09-05 07:47:18 UTC
FYI - This was fixed upstream already and *should* be pulled into a future major release.


Note You need to log in before you can comment on or make changes to this bug.